unit Mainform;

{$mode objfpc}{$H+}
{$IFNDEF LCLCocoa}
{$ELSE}
  {$DEFINE RETINA} // <- requires Lazarus 1.9 svn 55355 or later
  // {$UNDEF RETINA} //disable retina support: works with older versions of lazarus
{$ENDIF}


// -----------------------------------------------------------------------------
//                                2025-02-26
//
//                           OpenGL Test Surface
//
//  ----------------------------------------------------------------------------


interface

uses
  Classes, Forms, Controls, Graphics, Dialogs, ExtCtrls, ComCtrls, SysUtils, FileUtil,
  ExtendedGLBox;

type
  { TGLForm1 }
  TGLForm1 = class(TForm)
    {$IFDEF RETINA}
    procedure SetRetina;
    {$ENDIF}
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    OpenGLBox : TOpenGLBox;
  public
    //
  end;

var
  GLForm1: TGLForm1;


implementation

{$R *.lfm}
{$IFDEF RETINA}
uses
  glcocoanscontext;
{$ENDIF}


{$IFDEF RETINA}
gIsRetina : boolean = true;

procedure TGLForm1.SetRetina;
begin
  LSetWantsBestResolutionOpenGLSurface(gIsRetina, GLBox.Handle);
end;
{$ENDIF}//retina


procedure TGLForm1.FormCreate(Sender: TObject);
begin
  OpenGLBox:= TOpenGLBox.Create( Self);
end;

procedure TGLForm1.FormShow(Sender: TObject);
begin
  // define Min and Max Width and Height of MainForm
  Self.Constraints.MinWidth  := Self.Width;
  Self.Constraints.MaxWidth  := Self.Constraints.MinWidth;
  Self.Constraints.MinHeight := Self.Height;
  Self.Constraints.MaxHeight := Self.Constraints.MinHeight;

  // set Main Window position
  Self.Top:= 0;
end;


end.

